Bug 520980 - setroubleshoot: SELinux is preventing ip-up "ioctl" access on /etc/ppp/ip-up.
Summary: setroubleshoot: SELinux is preventing ip-up "ioctl" access on /etc/ppp/i...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:9d35e7cee86...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 01:46 UTC by David
Modified: 2009-09-04 14:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-04 14:22:41 UTC


Attachments (Terms of Use)

Description David 2009-09-03 01:46:38 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing ip-up "ioctl" access on /etc/ppp/ip-up.

Detailed Description:

SELinux denied access requested by ip-up. It is not expected that this access is
required by ip-up and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:initrc_t:s0
Target Context                system_u:object_r:pppd_initrc_exec_t:s0
Target Objects                /etc/ppp/ip-up [ file ]
Source                        ip-up
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.0.28-2.fc12
Target RPM Packages           initscripts-8.97-1
Policy RPM                    selinux-policy-3.6.28-9.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-0.190.rc8.fc12.i686 #1 SMP Fri
                              Aug 28 19:07:13 EDT 2009 i686 i686
Alert Count                   2
First Seen                    Sun 30 Aug 2009 01:38:27 PM PDT
Last Seen                     Wed 02 Sep 2009 06:33:17 PM PDT
Local ID                      834de66c-b9a1-49ee-a16e-cbe6da8d9b6c
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1251941597.35:54): avc:  denied  { ioctl } for  pid=1942 comm="ip-up" path="/etc/ppp/ip-up" dev=sda5 ino=21102 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:pppd_initrc_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1251941597.35:54): arch=40000003 syscall=54 success=no exit=-25 a0=3 a1=5401 a2=bf926a28 a3=bf926a68 items=0 ppid=1915 pid=1942 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ip-up" exe="/bin/bash" subj=system_u:system_r:initrc_t:s0 key=(null)


audit2allow suggests:

#============= initrc_t ==============
allow initrc_t pppd_initrc_exec_t:file ioctl;

Comment 1 Daniel Walsh 2009-09-04 14:22:41 UTC
Fixed in selinux-policy-3.6.30-4.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.